Subject: Re: restriction of pulls

From: Andy Parkins <[email-masked]>
Date: Fri, 9 Feb 2007 16:45:31 +0000

On Friday 2007 February 09 16:36, Rogan Dawes wrote:

> Please note that my suggestion does NOT imply allowing partial checkins
> (or if it does, it was not my intention)

My apologies then; I did misunderstand.

> > In every way that matters you can do a partial checkout - I can pull any
> > version of any file out of the repository.  However, it should certainly
> > not be the case that git records that fact.
>
> Why not? If you only want to modify that file, does it not make sense
> that you can just check out that file, modify it, and check it back in?

Sorry - what I meant was that it shouldn't record that you checked out 
revision 74 of that file and retain a link from the current version to that 
old version.

Andy
-- 
Dr Andy Parkins, M Eng (hons), MIEE
[email-masked]